# NamedString Class Reference

A named string class. More...

`#include <yateclass.h>`

Inheritance diagram for NamedString:

List of all members.

## Public Member Functions

| NamedString (const char *name, const char *value=0)
const String & | name () const
virtual const String & | toString () const
NamedString & | operator= (const char *value)

## Detailed Description

A named string class.

A string class with a hashed string name

## Constructor & Destructor Documentation

NamedString | ( | const char * | name,
|  | const char * | value = `0` |
| ) |  |  |

Creates a new named string.

Parameters:

  | name | Name of this string
  | value | Initial value of the string.

## Member Function Documentation

const String& name | ( |  | ) | const`[inline]`

Retrive the name of this string.

Returns:
  A hashed string with the name of the string

virtual const String& toString | ( |  | ) | const`[virtual]`

Get a string representation of this object

Returns:
  A reference to the name of this object

Reimplemented from String.

NamedString& operator= | ( | const char * | value | ) | `[inline]`

Value assignment operator

Reimplemented from String.

The documentation for this class was generated from the following file:

- yateclass.h